Bug 168111 - cdrwtool does not work
cdrwtool does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udftools (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-12 11:52 EDT by Raoul
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-05 08:53:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raoul 2005-09-12 11:52:23 EDT
Description of problem:
cdrwtool gives the following error when I issue the command:

# cdrwtool -d /dev/hdc -q
using device /dev/hdc
1222KB internal buffer
setting write speed to 12x
wait_cmd: Input/output error
Command failed: 55 10 00 00 00 00 00 00 3c 00 00 00 - sense 00.26.00
00 00 00 00 00 00 00 00 05 32 20 27 0a 00 00 00 20 00 00 00 00 20 00 96 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 08 00
mode_select: Illegal seek
set_write

I tried to set the dvd writer's speed with the -t parameter to a small value
like 4, but it made no difference.
I am not really sure that this is a bug or a hardware incompatibility or even a
cdrw disc incompatibility (although I tested it with 3 different brands). The
documentation and the sources for more information are very limited.


Version-Release number of selected component (if applicable):
1.0.0b3-3
kernel version just in case you need to know: 2.6.12-1.1447_FC4

How reproducible:
The commands:
cdrwtool -d /dev/hdc -q
cdrwtool -d /dev/hdc -m 20480 (or other number of blocks)
give the above error. 

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Constant errors

Expected results:
cdrwtool should blank, format and finally setup the udf filesystem on the cdrw disc

Additional info:
Comment 1 Matthias Saou 2006-07-04 07:40:20 EDT
Possibly a hardware problem :
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=282730

I still haven't gotten around to testing deeply cdrwtool, though.
Comment 2 Matthias Saou 2006-07-27 08:54:18 EDT
I've reproduced a similar error. I've spent some time on fixing many compilation
warnings today, but I really think it was useless since the upstream project
seems dead. I've just checked all the current open bugs, and there is still one
about a gcc4 build error I've reported over one year ago...

I think I'll simply ask to have the package removed from Extras for now. Sorry.
Comment 3 Christian Iseli 2007-01-19 18:46:47 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)
Comment 4 Matthias Saou 2007-02-05 08:53:16 EST
Resolving as WONTFIX since I've now orphaned the package. Note that if no one
picks it up soon enough for the Fedora 7 release, I'll probably have it removed
from the repository in order to not have it shipped (buggy and unmaintained...).

Note You need to log in before you can comment on or make changes to this bug.